<?php
    if (isset($tpl['status']))
    {
        $status = __('status', true);
        switch ($tpl['status'])
        {
            case 2:
                pjUtil::printNotice(NULL, $status[2]);
                break;
        }
    } else {
        $titles = __('error_titles', true);
        $bodies = __('error_bodies', true);

        if (isset($_GET['err']))
        {
            $bodies_text = str_replace("{SIZE}", ini_get('post_max_size'), @$bodies[$_GET['err']]);
            pjUtil::printNotice(@$titles[$_GET['err']], $bodies_text);
        }
        ?>
        <div class="b10">
            <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get" class="float_left pj-form r10">
                <input type="hidden" name="controller" value="pjAdminExtras" />
                <input type="hidden" name="action" value="pjActionCreate" />
                <input type="submit" class="pj-button" value="<?php __('btnAddExtra'); ?>" />
            </form>
            <form action="" method="get" class="float_left pj-form frm-filter">
                <input type="text" name="q" class="pj-form-field pj-form-field-search w150" placeholder="<?php __('btnSearch', false, true); ?>" />
            </form>
            <?php
                $filter = __('filter', true);
            ?>
            <div class="float_right t5">
                <a href="#" class="pj-button btn-all"><?php __('lblAll'); ?></a>
                <a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="T"><?php echo $filter['active']; ?></a>
                <a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="F"><?php echo $filter['inactive']; ?></a>
            </div>
            <br class="clear_both" />
        </div>

        <div id="grid"></div>
        <script type="text/javascript">
            var pjGrid = pjGrid || {};
            var myLabel = myLabel || {};

            myLabel.name = "<?php __('lblExtraName', false, true); ?>";
            myLabel.status = "<?php __('lblStatus', false, true); ?>";
            myLabel.active = "<?php echo $filter['active']; ?>";
            myLabel.inactive = "<?php echo $filter['inactive']; ?>";
            myLabel.delete_selected = "<?php __('delete_selected', false, true); ?>";
            myLabel.delete_confirmation = "<?php __('delete_confirmation', false, true); ?>";
        </script>
        <?php
    }
?>